Browse Source

Initial revision

Paul Eggert 28 năm trước cách đây
mục cha
commit
8c070ff669
1 tập tin đã thay đổi với 15 bổ sung0 xóa
  1. 15 0
      tests/extrac02.sh

+ 15 - 0
tests/extrac02.sh

@@ -0,0 +1,15 @@
+#! /bin/sh
+# Could not extract symlinks over an existing file.
+
+. ./preset
+. $srcdir/before
+
+set -e
+touch file
+ln -s file link 2> /dev/null || ln file link
+tar cf archive link
+rm link
+touch link
+tar xf archive
+
+. $srcdir/after